# Include Config for the server
# $Id: Config2.inc,v 1.42 2003/05/05 22:04:55 tdb Exp $

include $(SOURCEROOT)/Version.inc

# Name of our dist
DISTNAME = iscream_server

# Location of the i-scream CVS Repository Root
CVSROOT = :pserver:anonymous@cvs.i-scream.org.uk:/cvs/i-scream

# This will attempt to locate cvs, and return the path.
CVS = `if test -x /usr/bin/cvs; then echo /usr/bin/cvs; else if test -x /usr/local/bin/cvs; then echo /usr/local/bin/cvs; else echo cvs; fi fi`

# and the same for cvs2cl
CVS2CL = `if test -x /usr/bin/cvs2cl; then echo /usr/bin/cvs2cl; else if test -x /usr/local/bin/cvs2cl; then echo /usr/local/bin/cvs2cl; else echo cvs2cl; fi fi`
# and flags for cvs2cl
CVS2CLFLAGS = --stdout --no-wrap -r -t -w -S -g "-d $(CVSROOT)" -g "-q"

# and the same for gpg
GPG = `if test -x /usr/bin/gpg; then echo /usr/bin/gpg; else if test -x /usr/local/bin/gpg; then echo /usr/local/bin/gpg; else echo gpg; fi fi`
# and flags for gpg
GPGFLAGS = -abs --default-key=0x135D6B0A

# Binary to run for javac and javadoc
JAVACBIN = javac
JAVADOCBIN = javadoc

# Location of the build directory
BUILDDIRNAME = build
BUILD = $(SOURCEROOT)/$(BUILDDIRNAME)
# Relative (to BUILD) location of the libraries
LIBDIR = $(BUILD)/lib
# Location of the main include
MKINC = $(SOURCEROOT)/Makefile.inc
# IDL directory
IDLDIR = $(SOURCEROOT)/idl
IDLFILE = $(IDLDIR)/iscream.idl

# Compiler Information
JCLIBS = $(LIBDIR)/idl.jar:$(LIBDIR)/jacorb.jar:$(LIBDIR)/jaxp.jar:$(LIBDIR)/crimson.jar:$(LIBDIR)/mm.mysql-2.0.11-bin.jar:$(LIBDIR)/pircbot.jar:$(LIBDIR)/iscream_util.jar
JCCLASSPATH = $(JCLIBS):$(SOURCEROOT):$(BUILD):$(SOURCEROOT)/idl:.
# set JCFLAGS to these if you want to optimise and turn off debugging
#JCFLAGS = -g:none -O
JCFLAGS =

# Name of JAR file (will be created in BUILD)
PACKAGE = $(DISTNAME).jar
# Main-class to be added to the Manifest
MAINCLASS = uk.org.iscream.cms.server.componentmanager.ComponentManager
# Class-path to be added to the Manifest
CLPATH = lib/idl.jar lib/jacorb.jar lib/jaxp.jar lib/mm.mysql-2.0.11-bin.jar lib/crimson.jar lib/pircbot.jar lib/iscream_util.jar

# CHECK Files (for dependencies)
IDLCHECK = $(SOURCEROOT)/idl/.doneidl
MCOMPILECHECK = $(SOURCEROOT)/$(COMPILECHECK)
SRCCHECK = $(SOURCEROOT)/.donesrc
JAVADOCCHECK = $(SOURCEROOT)/.donejavadoc
MKDISTCHECK = $(BUILD)/.donemkdist
MKDISTBINCHECK = $(BUILD)/.donemkdistbin
MKDISTFILESCHECK = $(BUILD)/.donemkdistfiles
MKDISTFILESBINCHECK = $(BUILD)/.donemkdistfilesbin
COMPILECHECK = .donecompile
COPYCHECK = .donecopy

# Javadoc package list
PKGLIST = uk.org.iscream.cms.server.clientinterface\
	uk.org.iscream.cms.server.componentmanager\
	uk.org.iscream.cms.server.core\
	uk.org.iscream.cms.server.core.loggers\
	uk.org.iscream.cms.server.filter\
	uk.org.iscream.cms.server.filter.plugins\
	uk.org.iscream.cms.server.filtermanager\
	uk.org.iscream.cms.server.rootfilter\
	uk.org.iscream.cms.server.client\
	uk.org.iscream.cms.server.client.monitors\
	uk.org.iscream.cms.server.client.alerters

# Javadoc formatting
JDTITLE = "i-scream CMS server"
JDHEADER = "<img src='http://www.i-scream.org.uk/i-scream_small.gif' width='146' height='38'>"
JDBOTTOM = "<i>Copyright &\#169; 2000-2003 i-scream. All Rights Reserved.</i>"

# Javadoc Directories
DOCDIR = $(BUILD)/doc
DOCTMPDIR = $(BUILD)/.doctemp
APICACHE = $(SOURCEROOT)/.api-cache

# Javadoc API linking
JDJAPI = "http://java.sun.com/j2se/1.4.1/docs/api/"
JDPBAPI = "http://www.jibble.org/javadocs/pircbot/"
JDUAPI = "http://www.i-scream.org.uk/javadoc/util/"

# Javadoc API cache
JDJAPIC = $(APICACHE)/jdk
JDPBAPIC = $(APICACHE)/pircbot
JDUAPIC = $(APICACHE)/util

# ChangeLog file
CHANGELOG = $(BUILD)/ChangeLog

# Directory to put the source code in
SRCDIR = $(BUILD)/src
# Files to be included in the source code dist
SRCFILES = Config2.inc Makefile Makefile.inc README build.config \
           build.xml configure db uk idl COPYING Version.inc \
           $(BUILDDIRNAME)/README $(BUILDDIRNAME)/etc \
           $(BUILDDIRNAME)/lib $(BUILDDIRNAME)/run.bat \
           $(BUILDDIRNAME)/run.sh $(BUILDDIRNAME)/Makefile \
           $(BUILDDIRNAME)/$(JACPROP)

# License file
LICFILE = COPYING

# Jacorb properties file
JACPROP = jacorb.properties

# User configurable options - defaults
dest = $(BUILD)
prefix = /opt/$(DISTNAME)-$(VERSION)

# Install Prefix
INSTALLPREFIX = $(prefix)
DISTDEST = $(dest)

# Archive extensions
TAREXT = .tar
TARGZEXT = .tar.gz
ZIPEXT = .zip
SIGEXT = .asc

# Subdirectory the dist should be in
DISTDIR = $(DISTNAME)-$(VERSION)

# Name of various distfiles
TARFILE = $(DISTNAME)-$(VERSION)$(TAREXT)
TARGZFILE = $(DISTNAME)-$(VERSION)$(TARGZEXT)
TARGZFILESIG = $(TARGZFILE)$(SIGEXT)
ZIPFILE = $(DISTNAME)-$(VERSION)$(ZIPEXT)
ZIPFILESIG = $(ZIPFILE)$(SIGEXT)
BINTARFILE = $(DISTNAME)-bin-$(VERSION)$(TAREXT)
BINTARGZFILE = $(DISTNAME)-bin-$(VERSION)$(TARGZEXT)
BINTARGZFILESIG = $(BINTARGZFILE)$(SIGEXT)
BINZIPFILE = $(DISTNAME)-bin-$(VERSION)$(ZIPEXT)
BINZIPFILESIG = $(BINZIPFILE)$(SIGEXT)
